plugins {
    id 'java'
    id 'org.springframework.boot' version '3.3.1'
    id 'io.spring.dependency-management' version '1.1.5'
}

group = 'com.munjaon'
version = '0.0.1-SNAPSHOT'

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(17)
    }
}

configurations {
    compileOnly {
        extendsFrom annotationProcessor
    }
}

repositories {
    mavenCentral()
    maven {url 'https://maven.google.com'}
    maven {url 'https://maven.cubrid.org/'}
    maven {url 'https://maven.jumpmind.com/repo/'}
}

dependencies {
    implementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter:3.0.3'
    compileOnly 'org.projectlombok:lombok'
    developmentOnly 'org.springframework.boot:spring-boot-devtools'
//    runtimeOnly 'org.mariadb.jdbc:mariadb-java-client'
    annotationProcessor 'org.springframework.boot:spring-boot-configuration-processor'
    annotationProcessor 'org.projectlombok:lombok'
    testImplementation 'org.springframework.boot:spring-boot-starter-test'
    testImplementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter-test:3.0.3'
    testRuntimeOnly 'org.junit.platform:junit-platform-launcher'
    // https://mvnrepository.com/artifact/com.zaxxer/HikariCP
    implementation 'com.zaxxer:HikariCP:4.0.3'
    // https://mvnrepository.com/artifact/com.googlecode.json-simple/json-simple
    implementation 'com.googlecode.json-simple:json-simple:1.1.1'
    // https://mvnrepository.com/artifact/commons-beanutils/commons-beanutils
    implementation 'commons-beanutils:commons-beanutils:1.9.4'
    // https://mvnrepository.com/artifact/org.jdom/jdom2
    implementation 'org.jdom:jdom2:2.0.6.1'
    // https://mvnrepository.com/artifact/org.apache.commons/commons-configuration2
    implementation 'org.apache.commons:commons-configuration2:2.10.1'
    // https://mvnrepository.com/artifact/org.mariadb.jdbc/mariadb-java-client
    implementation group: 'org.mariadb.jdbc', name: 'mariadb-java-client', version: '3.1.4'
    // https://mvnrepository.com/artifact/com.oracle.database.jdbc/ojdbc11
    implementation group: 'com.oracle.database.jdbc', name: 'ojdbc11', version: '23.5.0.24.07'
    // https://mvnrepository.com/artifact/com.microsoft.sqlserver/mssql-jdbc
    implementation group: 'com.microsoft.sqlserver', name: 'mssql-jdbc', version: '12.8.0.jre11'
    // https://mvnrepository.com/artifact/org.postgresql/postgresql
    implementation group: 'org.postgresql', name: 'postgresql', version: '42.7.3'
    // https://mvnrepository.com/artifact/cubrid/cubrid-jdbc
    implementation group: 'cubrid', name: 'cubrid-jdbc', version: '11.2.1.0038'
    // https://mvnrepository.com/artifact/jdbc.tibero/tibero
    //implementation files('libs/tibero6-jdbc-14.jar')
    implementation files('libs/tibero-6.jar')

}

tasks.named('test') {
    useJUnitPlatform()
}
